com.ihr.xbrl.om

## Class XBRLProcessorFactoryBase

- java.lang.Object
- - com.ihr.xbrl.om.XBRLProcessorFactoryBase

- All Implemented Interfaces:
    XBRLProcessorFactory
  Direct Known Subclasses:
    AutoFillProcessorFactory, EFMProcessorFactory, ExtensibleEnumerationsProcessorFactory, RenderHintsProcessorFactory, UTRProcessorFactory, XBRLAppPropsProcessorFactory, XBRLCoreProcessorFactory, XBRLFormulaProcessorFactory, XBRLTableProcessorFactory, XDTProcessorFactory

      public abstract class XBRLProcessorFactoryBase
      extends java.lang.Object
      implements XBRLProcessorFactory

  Base class for processor factories

  Provides a protected field called theDTS and implements the `setDTSContainer(DTSContainer)` method on the `XBRLProcessorFactory` interface.

  This is an abstract class, other methods in the `XBRLProcessorFactory` interface MUST be implemented by derived classes.

  Author:
    Ignacio
  See Also:
    `XBRLProcessorFactory`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XBRLProcessorFactoryBase()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setDTSContainer(DTSContainer dtsContainer)` Once a new factory is instantiated, the DTSContainer class calls this method in order to provide the DTSContainer instance to be used for next calls.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.ihr.xbrl.om.XBRLProcessorFactory

      `create, getProcessorDescription, getProcessorName`

- - ### Constructor Detail

    - #### XBRLProcessorFactoryBase

          public XBRLProcessorFactoryBase()

  - ### Method Detail

    - #### setDTSContainer

          public void setDTSContainer(DTSContainer dtsContainer)

      Description copied from interface: `XBRLProcessorFactory`
      Once a new factory is instantiated, the DTSContainer class calls this method in order to provide the DTSContainer instance to be used for next calls.
      Specified by:
        `setDTSContainer` in interface `XBRLProcessorFactory`
      Parameters:
        `dtsContainer` - the DTSContainer instance to be used on next calls